//go:build wireinject
// +build wireinject

package wire

import (
	"github.com/dungnt11/senflow_app/internal/controllers"
	"github.com/google/wire"
)

// InitializeControllers khởi tạo tất cả các controllers
func InitializeControllers() (*controllers.Controllers, error) {
	wire.Build(
		AppSet,
	)
	return nil, nil
}
