#!/bin/bash

# Thông tin kết nối
DB_HOST="mysql_bp"
DB_USER="root"
DB_PASS="root"
DB_NAME="blueprint"
BACKUP_DIR="/backup"
DATE=$(date +%Y%m%d_%H%M%S)

# Tạo backup
echo "Starting backup at $DATE"
mysqldump -h $DB_HOST -u $DB_USER -p$DB_PASS $DB_NAME > "$BACKUP_DIR/backup_$DATE.sql"

# Nén backup
gzip "$BACKUP_DIR/backup_$DATE.sql"

# Xóa backup cũ (giữ 7 ngày)
find $BACKUP_DIR -name "backup_*.sql.gz" -mtime +7 -delete

echo "Backup completed" 