package controllers

// Controllers chứa tất cả các controller của ứng dụng
type Controllers struct {
	UserController    IUserController
	ProductController IProductController
}

// NewControllers tạo một instance mới của Controllers
func NewControllers(userController IUserController, productController IProductController) *Controllers {
	return &Controllers{
		UserController:    userController,
		ProductController: productController,
	}
}
