package controllers

import "github.com/gin-gonic/gin"

// IUserController định nghĩa interface cho UserController
type IUserController interface {
	Register(c *gin.Context)
	Login(c *gin.Context)
	GetProfile(c *gin.Context)
	UpdateProfile(c *gin.Context)
}

// IProductController định nghĩa interface cho ProductController
type IProductController interface {
	CreateProduct(c *gin.Context)
	GetProduct(c *gin.Context)
	GetAllProducts(c *gin.Context)
	UpdateProduct(c *gin.Context)
	DeleteProduct(c *gin.Context)
}

// Các interface khác có thể được thêm vào đây khi cần thiết
